package math.prime;

import math.utils.ArrayUtil;
import math.utils.Util;

import java.math.BigInteger;
import java.util.ArrayList;

public class Primes05 {
    public static void main(String[] args) {
        long amin = 61;
        long amax = 121;
        Util.print("liczby pierwsze pomiedzy : " + amin + ", a " + amax);
        ArrayList<Long> a = PrimeUtil.getPrimes(amin, amax);
        ArrayUtil.print(a);
        BigInteger amin1 = new BigInteger("1000000000061");
        BigInteger amax1 = new BigInteger("1000000000121");
        Util.print("liczby pierwsze pomiedzy : " + amin1 + ", a " + amax1);
        ArrayList<BigInteger> b = PrimeUtil.getPrimes(amin1, amax1);
        ArrayUtil.print(b);
    }
}
